登录
注册
node.js 学习社区

全部博客

  • 最近cnode上很多TX在问关于node的异步回调以及单线程的事情,今天看了libuv的一些api和demo,自己简单写了一个利用libuv实现异步多线程的addon的例子,真心希望大牛指正啊。 demo例子的地址: https://github.com/DoubleSpout/libuv_ex 也可以 npm install libuv_ex 请保证您的node版本在
    2014-12-01 21:20 安静的回应 0 回复 2869 浏览
  • 背景 VPS一般都有流量限制,很多主机也都没有提供流量监控,特别是我使用的Amazon 免费的EC2服务,超过30G/月的流量将自动从信用卡扣大把的美金,这太危险了,以前就有过惨痛的教训,因此决定为自己写一个小工具通过web来监控vps流量,从此就安心了。 如果也和我一样使用EC2做VPN的,同时又爱折腾的,可尝试使用。 这里是DEMO(请仅使用支持html5的chrome/
    vps
    2014-12-01 18:43 李悦 0 回复 3230 浏览
  • Mongodb是一个非关系型数据库软件(NoSql),以类似json的形式bson存储数据,bson有二进制的json的意思,官方说bson的效率更高,很适合存储类似于对象的数据,这里权当把自己学习的过程记录下来. 首先是下载安装mongodb,请到这里下载适合你操作系统的相应版本,这里我们以windows作为介绍. 将下载的压缩包解压到一个文件夹,我这里为 f:\mongodb 在mongo
    2014-12-01 16:46 忽悠子 0 回复 2077 浏览
  • Node.js 资源汇总 文档 Node.js 官方文档:http://nodejs.org/api/ Node.js 中文文档:http://nodejs.jsbin.cn/api/ Express 官方文档:http://expressjs.com/ Express 中文文档:http://expressjs.jser.us/ Jade 官方文档:http://
    2014-12-01 15:42 幽穆棱 0 回复 3340 浏览
  • node.js 0.8.5的安装,需要python 2.7,大部分安装失败,都是因为python版本过低所致。安装之前,请升级python版。升级步骤 http://www.tomtalk.net/wiki/Python [tom@MyVPS1974 ~]$ python -V Python 2.7.3 开始安装: wget http://nodejs.org/dist/v0.8.5/
    2014-12-01 15:36 夜翔 0 回复 1955 浏览
  • 上次说到为什么选择通过扩展NodeJs来实现硬件控制,接下来就看看如何来扩展: NodeJs的扩展是非常容易的,像几乎所有的教程一下,我们先来个HelloWorld: // helloworld.cc #include <node.h> //首先引入node头文件 using namespace v8; //使用V8和,node命名空间 using namespace n
    2014-12-01 13:49 王佳平 0 回复 3141 浏览
  • 首先,请参考下面两个链接,配置并运行express和mongodb。 1.使用express生成一个空白网站 http://cnodejs.org/topic/501f43eef767cc9a51c7b90e 2.mongo数据库的安装及命令行连接 http://cnodejs.org/topic/50285b34f767cc9a512a1977 安装mongoose模块 npm i
    2014-12-01 12:59 且鬈且偲 0 回复 2563 浏览
  • mac系统下,使用node-gyp编译node.js扩展,总共两步: node-gyp configure node-gyp build 悲催的是,两步居然都出了问题 第一步碰上的问题是: gyp info spawn args 'build', gyp info spawn args '-Goutput_dir=.' ] xcode-select: Error: No Xco
    2014-12-01 12:46 于媛媛 1 回复 1881 浏览